
# Print additional information in the console. Useful for figuring out errors and issues.
debug: false

messages:
    reloading: "&7[&cKillstreaks&7] &6Reloading Killstreak's configurations..."
    reloaded: "&7[&cKillstreaks&7] &6Reloaded Killstreaks."
    player-only: "&cOnly players can execute the killstreak check command, console can only access /killstreaks reload"
    killstreak: "&7[&cKillstreaks&7] Your current Killstreak is &c%killstreak%&7."
    no-permissions: "&7[&cKillstreaks&7] &cYou don't have to correct permissions to execute this command."
    no-player-found: "&7[&cKillstreaks&7] &cNo player found under the name %player% that was online."
    killstreak-other: "&7[&cKillstreaks&7] %player%'s current Killstreak is &c%killstreak%&7."

# Configuration for the main Killstreaks.
killstreaks:
    # Select which type to use. The configurations for each type follows.
    # Time, Combat, and Smart.
    # If a custom subtractor was implemented through the API, use the name here.
    type: "Time"
    # Time is a simple and basic time measurement. It decreases the killstreaks based on time.
    time:
        # The time in seconds it takes for a Killstreak to be subtracted after being gained.
        subtraction-time: 100
    # Combat will determine times when the user is or isn't in combat for Killstreaks.
    combat:
        # When the attacker deals damage, should time be added?
        use-combat-time: true
        # The amount of time to add after damage has been exerted. Time in ticks.
        # There are 20 ticks per second.
        combat-add-time: 10
        # When remember hits is enabled, it will not add time if time was just added.
        # It will make it so hitting frequently does not stack. It will cancel the old and refresh the combat time.
        remember-hits: true
        # The time in seconds to keep the last hit in memory.
        # This value needs to be lower than the "combat-add-time" setting.
        remember-time: 5
    # Smart killstreaks will determine if the attacker is about to enter combat or is in combat.
    # Killstreaks will find the best time to lower and raise killstreak times.
    smart:
        # The distance to ray trace for entities the player may be looking at.
        radius: 20
        # Time in seconds to keep entities in memory that are a threat.
        remember-time: 30

# The entity blacklist will cancel a killstreak levelup
# if the entity is within this blacklist.
# A list can be found here https://hub.spigotmc.org/javadocs/spigot/org/bukkit/entity/EntityType.html
entity-blacklist:
    enabled: false
    # Invert the list to be allowed entities only.
    whitelist: false
    list:
        - "Zombie"
        - "Rabbit"
        - "Player"

# If a Killstreak happens in a world and it's not on this list, it will be ignored if whitelist is true.
# When whitelist is false, it will happen in every world except the worlds defined.
world-blacklist:
    enabled: false
    # Invert the list to be allowed worlds only.
    whitelist: true
    list:
        - "world"
        - "exampleworld"

# If the player is wearing any of the armor defined, it will cancel the Killstreak.
# When the whitelist is true, it will only levelup players with that armor equiped.
# A list of the materials can be found here https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Material.html
# 1.8 materials can be found here https://github.com/Attano/Spigot-1.8/blob/master/org/bukkit/Material.java
# Golden items are GOLD_HELMET on versions lower than 1.13 rather than GOLDEN_HELMET
# Capitalization doesn't matter, and default values are tweaked for 1.13.2+
armor-blacklist:
    enabled: false
    # Invert the list to be allowed armor only.
    whitelist: false
    # If the armor list should match exactly what the player is wearing.
    # When this setting is false, it will accept if anything in the list is equiped on the player.
    # Don't put AIR if you're looking for air, just leave it out.
    match-exact: false
    list:
        - "Diamond_Helmet"
        - "Iron_Chestplate"
        - "Chainmail_Leggings"
        - "Golden_Boots"
        
# Configure all the effects here.
# All messages have placeholders: %attacker%, %receiver%, and %victim%
effects:
    # Sounds for the Killstreaks.
    sound:
        enabled: true
        # At which streaks should the message be broadcasted.
        streaks:
            - 3
            - 5
            - 10
            - 15
            - 20
            - 25
            - 30
        # If the sound should only be played to the attacker.
        attacker-only: true
        # If the sound should be played to everyone around the attacker.
        location: false
        # 1.13 sounds can be found here https://hub.spigotmc.org/javadocs/spigot/org/bukkit/Sound.html
        sound: "ENTITY_EXPERIENCE_ORB_PICKUP"
        # For every streak increament, how much should the volume be raised by.
        volume-addition: 0.2
        volume: 0.5
         # For every streak increament, how much should the pitch be raised by.
        pitch-addition: 1
        pitch: 1
    # Any chat related configurations for effects are in here.
    chat:
        # Send a broadcast to the entire server about the killstreak.
        broadcast:
            # If the player receiving the broadcast is the player, should the message be the chat.message.message option?
            use-message-for-self: true
            enabled: false
            # At which streaks should the message be broadcasted.
            streaks:
                - 3
                - 5
                - 10
                - 15
                - 20
                - 25
                - 30
            # %attacker%, %attacker-display%, %victim%, %receiver% and %streak% are current placeholders.
            # The %attacker-display% placeholder is their display name, aka permissions/essentials thing name.
            # The %receiver% placeholder is the player receiving the broadcast.
            message: "&7[&eKillstreaks&7] &6%attacker% is on a killstreak of &6%streak%!"
        # Message rather than broadcasting, keep in mind that broadcasting is the opposite of this.
        # Disable broadcasting to then have this enabled.
        message:
            enabled: true
            # At which streaks should the message be broadcasted.
            streaks:
                - 3
                - 5
                - 10
                - 15
                - 20
                - 25
                - 30
            # Message the attacker their Killstreak.
            message-attacker: true
            # Message the victim if the victim is a player.
            message-victim: false
            # Message all players in a radius around the attacker.
            radius:
                enabled: false
                # The block radius around the attacker.
                x-radius: 20
                y-radius: 20
                z-radius: 20
            # %attacker%, %attacker-display%, %victim%, %receiver% and %streak% are current placeholders.
            # The %attacker-display% placeholder is their display name, aka permissions/essentials thing name.
            # The %receiver% placeholder is the player receiving the message.
            message: "&7[&eKillstreaks&7] &cYou're on a killstreak of &6%streak%!"
    actionbar:
        enabled: true
        # At which streaks should the message be broadcasted.
        streaks:
            - 3
            - 5
            - 10
            - 15
            - 20
            - 25
            - 30
        message-self: "&cYou're on a killstreak of &6%streak%!"
        message-others: "&c%attacker% is on a killstreak of &6%streak%!"
        radius:
            enabled: false
            x-radius: 20
            y-radius: 20
            z-radius: 20
    title:
        # At which streaks should the message be broadcasted.
        streaks:
            - 3
            - 5
            - 10
            - 15
            - 20
            - 25
            - 30
        title-self:
            enabled: true
            title: ""
            subtitle: "&c&lYou're on a Killstreak of %streak%!"
            fadeOut: 20
            fadeIn: 20
            stay: 200
        title-others:
            enabled: false
            title: "&c&lKillsteak"
            subtitle: "&c%attacker% is on a Killstreak of %streak%!"
            fadeOut: 20
            fadeIn: 20
            stay: 200
        radius:
            enabled: false
            x-radius: 20
            y-radius: 20
            z-radius: 20
    # Requires Vault to be installed.
    economy:
        enabled: false
        # At which streaks should money be awarded, and the amount.
        attacker-streaks:
            3: 5
            5: 25
            10: 50
            15: 100
            20: 200
            25: 500
            30: 1000
        victim-remove: false
        # If the attacker is at any of these streaks, remove the amount from the victims balance if victim-remove is true.
        victim-streaks:
            3: 5
            5: 25
            10: 50
            15: 100
            20: 200
            25: 500
            30: 1000
        

